Skip to main content
POST
/
utils
/
memories
/
{memory_id}
/
pin
Pin a memory
curl --request POST \
  --url https://api.example.com/utils/memories/{memory_id}/pin \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "pinned": true,
  "pinned_at": "2023-11-07T05:31:56Z",
  "unpinned_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string | null

Path Parameters

memory_id
string
required

Memory ID

Response

Successful Response

Response for pin/unpin operations.

id
string
required

Memory ID

pinned
boolean
required

Pin status

pinned_at
string<date-time> | null

Pin timestamp

unpinned_at
string<date-time> | null

Unpin timestamp